Bug 831037 - gdm will not allow shutdown, unless /tmp is mounted as exec
gdm will not allow shutdown, unless /tmp is mounted as exec
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 00:52 EDT by postmodern
Modified: 2013-08-01 06:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:13:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description postmodern 2012-06-12 00:52:40 EDT
Description of problem:

I have a rather specific partition layout, where /tmp and /var/tmp are mounted as noexec for security reasons. After installing Fedora17, I noticed that GDM did not allow shutting down the computer. If I remounted /var/tmp as exec, GDM would then prompt me for the root password. If I remounted /tmp as exec, it would successfully shutdown.


Version-Release number of selected component (if applicable):
gdm-3.4.1-1.fc17


How reproducible:


Steps to Reproduce:
1. Logout from your WM of choice.
2. Power icon -> Power Off.
3. Ctrl+Alt+F3 and login as root
4. mount -o remount,exec /tmp && exit
5. Ctrl+Alt+F2
6. Power icon -> Power Off.
  
Actual results:
The first time Power Off is selected, nothing happens.
After remounting /tmp as executable, selecting Power Off causes the computer to shutdown.


Expected results:
Selecting Power Off should work, irregardless of whether /tmp or /var/tmp are executable or not.


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 23:07:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 06:13:23 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.